Bug 966417 - Better to back into previous page after clicked "Back" button.
Better to back into previous page after clicked "Back" button.
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-node (Show other bugs)
unspecified
Unspecified Unspecified
medium Severity medium
: ---
: 3.4.1
Assigned To: Fabian Deutsch
bugs@ovirt.org
node
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-23 05:03 EDT by haiyang,dong
Modified: 2014-04-30 07:12 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-30 07:12:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description haiyang,dong 2013-05-23 05:03:37 EDT
Description of problem:
Clean install ovirt-node-iso-3.0.0-1.0.20130517.fc18.iso, then reinstall this build via TUI.
At first, Prompt dialog box shows that "Reinstall 3.0.0-1.0.20130517.fc18.iso" on the first page,
then setup Keyboard on the "Keyboard Layout Selection"(second page),after that, will into the third page to configure admin
password, but if i clicked "Back" button, it back into the first page,not the previous page.

Version-Release number of selected component (if applicable):
ovirt-node-iso-3.0.0-1.0.20130517.fc18.iso

How reproducible:
100%

Steps to Reproduce:

Actual results:
After clicked "Back" button, it back into the first page,not the previous page.

Expected results:
Better to back into Previous page after clicked "Back" button

Additional info:
-------
Comment 1 haiyang,dong 2013-05-23 07:52:22 EDT
Seems change the follow code in upgrade_page.py can fix this issue.

 98         if changes.contains_any(["button.back"]):
 -99             self.application.ui.navigate.to_first_plugin()
 +99             self.application.ui.navigate.to_previous_plugin()
Comment 2 Fabian Deutsch 2013-05-23 11:36:23 EDT
Haiyang,

yes it's similar to your patch. But we have to explicitly name the page to switch to.

http://gerrit.ovirt.org/15036

Tested as follows:
1. PYTHONPATH=src/ scripts/ovirt-node-installer --dry --defaults /tmp/cfg_dummy
2. Select reinstal
3. select keyb layout
4. on password page: press back button
5. back on keyb page
Comment 3 Sandro Bonazzola 2014-03-04 04:23:25 EST
This is an automated message.
Re-targeting all non-blocker bugs still open on 3.4.0 to 3.4.1.

Note You need to log in before you can comment on or make changes to this bug.